=== debian/changelog ===
gr-iqbal (0.38.2-2build2) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 08 Feb 2022 13:59:24 +0000

gr-iqbal (0.38.2-2build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:43:58 +0000

gr-iqbal (0.38.2-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 09 Dec 2021 19:58:00 -0500

gr-iqbal (0.38.2-1) experimental; urgency=medium

  * New upstream
  * update to v0.38.2-9-gfbee239 for gnuradio 3.9
  * Modern CMake, so no .pc file for pkg-config

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Nov 2021 23:54:46 -0500
